<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="15ba9f19-d606-4519-894e-ad218e364db6" name="Default Changelist" comment="finished Translate widget">
      <change afterPath="$PROJECT_DIR$/src/components/link/Link.scss" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/components/link/Link.tsx" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/components/router/Router.tsx" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/components/sidebar/SideBar.scss" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/components/sidebar/SideBar.tsx" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/components/sidebar/model.ts" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/components/sidebar/variants.framer-motion.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/modules.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/modules.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/vcs.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/widget.iml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/widget.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/app/App.tsx" beforeDir="false" afterPath="$PROJECT_DIR$/src/app/App.tsx" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/components/dropdown/Dropdown.tsx" beforeDir="false" afterPath="$PROJECT_DIR$/src/components/dropdown/Dropdown.tsx" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/components/dropdown/custom.hooks.ts" beforeDir="false" afterPath="$PROJECT_DIR$/src/utils/custom.hooks.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/components/search-v2/Search.tsx" beforeDir="false" afterPath="$PROJECT_DIR$/src/components/search-v2/Search.tsx" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/components/translate/service.ts" beforeDir="false" afterPath="$PROJECT_DIR$/src/components/translate/service.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/index.scss" beforeDir="false" afterPath="$PROJECT_DIR$/src/index.scss" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="tsconfig.json" />
        <option value="TypeScript File" />
        <option value="TypeScript JSX File" />
        <option value="SCSS File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="1gmrjf4VJiPo7GpqzIw0QKssSfB" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="list.type.of.created.stylesheet" value="SCSS" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="nodejs_interpreter_path" value="node" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="settings.editor.selected.configurable" value="preferences.sourceCode.TypeScript" />
    <property name="ts.external.directory.path" value="D:\Project\REACT\search-bar\node_modules\typescript\lib" />
    <property name="vue.rearranger.settings.migration" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\Project\REACT\widget\src\components\link" />
      <recent name="D:\Project\REACT\widget\src\utils\" />
      <recent name="D:\Project\REACT\widget\src\components\sidebar" />
      <recent name="D:\Project\REACT\widget\public" />
      <recent name="D:\Project\REACT\widget\src\" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\Project\REACT\widget\src\components\search-v2" />
      <recent name="D:\Project\REACT\widget\src\components\accordion-v2" />
    </key>
  </component>
  <component name="RunManager" selected="npm.npm start">
    <configuration name="Debug Application" type="JavascriptDebugType" uri="http://localhost:3000">
      <method v="2" />
    </configuration>
    <configuration name="npm start" type="js.build_tools.npm">
      <package-json value="$PROJECT_DIR$/package.json" />
      <command value="run" />
      <scripts>
        <script value="start" />
      </scripts>
      <node-interpreter value="project" />
      <envs />
      <method v="2" />
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="15ba9f19-d606-4519-894e-ad218e364db6" name="Default Changelist" comment="" />
      <created>1598730744856</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1598730744856</updated>
      <workItem from="1598730746629" duration="15341000" />
      <workItem from="1599271420309" duration="5283000" />
      <workItem from="1599280472846" duration="17000" />
      <workItem from="1600400343164" duration="243000" />
      <workItem from="1601836701010" duration="4294000" />
      <workItem from="1601945072410" duration="72000" />
      <workItem from="1603492924951" duration="15000" />
      <workItem from="1615936821933" duration="1240000" />
      <workItem from="1616103881968" duration="1887000" />
      <workItem from="1616106509798" duration="596000" />
      <workItem from="1616107583265" duration="7155000" />
      <workItem from="1616214976113" duration="4784000" />
      <workItem from="1616299537042" duration="5209000" />
      <workItem from="1616378682207" duration="633000" />
      <workItem from="1616443903350" duration="17068000" />
      <workItem from="1616531562888" duration="11459000" />
      <workItem from="1616614982918" duration="21117000" />
      <workItem from="1616717160446" duration="12361000" />
      <workItem from="1616802285287" duration="6059000" />
      <workItem from="1616897791902" duration="20425000" />
      <workItem from="1616986295529" duration="10765000" />
      <workItem from="1617046766012" duration="24283000" />
      <workItem from="1617132683565" duration="11033000" />
    </task>
    <task id="LOCAL-00001" summary="finished Translate widget">
      <created>1617088373196</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1617088373196</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="finished Translate widget" />
    <option name="LAST_COMMIT_MESSAGE" value="finished Translate widget" />
  </component>
  <component name="WindowStateProjectService">
    <state x="447" y="425" width="824" height="846" key="EditFileWatcherDialog" timestamp="1616473674522">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="447" y="425" width="824" height="846" key="EditFileWatcherDialog/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@0.0.2560.1400" timestamp="1616473674522" />
    <state x="656" y="398" key="FileChooserDialogImpl" timestamp="1616536376313">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="656" y="398" key="FileChooserDialogImpl/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@0.0.2560.1400" timestamp="1616536376313" />
    <state x="656" y="398" key="FileChooserDialogImpl/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@0.0.2560.1400" timestamp="1615936835029" />
    <state width="2533" height="294" key="GridCell.Tab.0.bottom" timestamp="1617153864541">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="1110" height="384" key="GridCell.Tab.0.bottom/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@-1440.-627.1152.2000" timestamp="1616306061849" />
    <state width="2533" height="294" key="GridCell.Tab.0.bottom/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@0.0.2560.1400" timestamp="1617147368269" />
    <state width="1125" height="384" key="GridCell.Tab.0.bottom/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@-1440.-627.1152.2008" timestamp="1616127784369" />
    <state width="2533" height="294" key="GridCell.Tab.0.bottom/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@0.0.2560.1400" timestamp="1617153864541" />
    <state width="2533" height="294" key="GridCell.Tab.0.center" timestamp="1617153864541">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="1110" height="384" key="GridCell.Tab.0.center/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@-1440.-627.1152.2000" timestamp="1616306061849" />
    <state width="2533" height="294" key="GridCell.Tab.0.center/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@0.0.2560.1400" timestamp="1617147368269" />
    <state width="1125" height="384" key="GridCell.Tab.0.center/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@-1440.-627.1152.2008" timestamp="1616127784368" />
    <state width="2533" height="294" key="GridCell.Tab.0.center/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@0.0.2560.1400" timestamp="1617153864541" />
    <state width="2533" height="294" key="GridCell.Tab.0.left" timestamp="1617153864541">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="1110" height="384" key="GridCell.Tab.0.left/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@-1440.-627.1152.2000" timestamp="1616306061849" />
    <state width="2533" height="294" key="GridCell.Tab.0.left/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@0.0.2560.1400" timestamp="1617147368269" />
    <state width="1125" height="384" key="GridCell.Tab.0.left/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@-1440.-627.1152.2008" timestamp="1616127784368" />
    <state width="2533" height="294" key="GridCell.Tab.0.left/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@0.0.2560.1400" timestamp="1617153864541" />
    <state width="2533" height="294" key="GridCell.Tab.0.right" timestamp="1617153864541">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="1110" height="384" key="GridCell.Tab.0.right/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@-1440.-627.1152.2000" timestamp="1616306061849" />
    <state width="2533" height="294" key="GridCell.Tab.0.right/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@0.0.2560.1400" timestamp="1617147368269" />
    <state width="1125" height="384" key="GridCell.Tab.0.right/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@-1440.-627.1152.2008" timestamp="1616127784369" />
    <state width="2533" height="294" key="GridCell.Tab.0.right/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@0.0.2560.1400" timestamp="1617153864541" />
    <state x="658" y="258" key="SettingsEditor" timestamp="1616726967650">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="658" y="258" key="SettingsEditor/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@0.0.2560.1400" timestamp="1616726967650" />
    <state x="753" y="370" key="Vcs.Push.Dialog.v2" timestamp="1617088378150">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="753" y="370" key="Vcs.Push.Dialog.v2/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@0.0.2560.1400" timestamp="1617088378150" />
    <state x="585" y="199" width="719" height="1002" key="find.popup" timestamp="1617146444815">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="585" y="199" width="719" height="1002" key="find.popup/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@0.0.2560.1400" timestamp="1617146444815" />
    <state x="585" y="199" width="719" height="1002" key="find.popup/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@0.0.2560.1400" timestamp="1617064292656" />
    <state x="533" y="329" key="run.anything.popup" timestamp="1616989576304">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="533" y="329" key="run.anything.popup/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@0.0.2560.1400" timestamp="1616989576304" />
    <state x="629" y="313" width="840" height="1034" key="search.everywhere.popup" timestamp="1617146516883">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="629" y="313" width="840" height="1034" key="search.everywhere.popup/-1440.-627.1152.2000/3840.-650.1152.2008/0.0.2560.1400@0.0.2560.1400" timestamp="1617146516883" />
    <state x="629" y="313" width="840" height="1034" key="search.everywhere.popup/0.0.2560.1400/-1440.-627.1152.2008/3840.-650.1152.2008@0.0.2560.1400" timestamp="1616992722062" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="javascript">
          <url>file://$PROJECT_DIR$/src/components/search-v2/service.ts</url>
          <line>18</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>